package com.ejie.ad74a.util.constantes;

import java.util.Locale;

import org.springframework.context.i18n.LocaleContextHolder;

import com.ejie.ad74a.util.comun.Utilidades;

/**
 * Tipos de entrada
 */

public enum TipoAvisoEnum {

	ACTUAL("1", "avisos.actualizaciones"), //
	DISP("2", "avisos.dispositivos"), //
	INFINT("3", "avisos.informeIntervencion"), //
	INFSOC("4", "avisos.informeSocial"), //
	INFSUIC("5", "avisos.informeSuicidioMalosTratos"), //
	INST("6", "avisos.instalacion"), //
	QUEJREC("7", "avisos.quejasYReclamaciones"), //
	OTROS("8", "avisos.otros");

	private TipoAvisoEnum(String id, String labelDesc) {
		this.labelDesc = labelDesc;
		this.id = id;
	}

	private String id;
	private String labelDesc;

	public String getId() {
		return this.id;
	}

	public Long getIdLongValue() {
		return Long.valueOf(this.id);
	}

	public String getLabelDesc() {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc,
				LocaleContextHolder.getLocale());
	}

	public String getLabelDesc(Locale locale) {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc, locale);
	}

}
